package models

import (
	"time"
)

type CmManager struct {
	Id         int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	Username   string    `xorm:"not null comment('用户名') unique VARCHAR(32)"`
	Password   string    `xorm:"not null comment('密码') VARCHAR(32)"`
	LastLogin  int       `xorm:"comment('最后一次登录时间') INT(11)"`
	GroupId    int       `xorm:"default 0 comment('用户组ID') INT(11)"`
	RealName   string    `xorm:"comment('真实姓名') VARCHAR(10)"`
	Telephone  string    `xorm:"comment('联系电话(CLD字段)') VARCHAR(11)"`
	LoginIp    string    `xorm:"comment('登录ip') VARCHAR(12)"`
	Token      string    `xorm:"not null comment('随机token') VARCHAR(32)"`
	CanLogin   int       `xorm:"default 1 comment('是否可登录') TINYINT(1)"`
	Office     int       `xorm:"default 12 comment('办事处id(CLD字段)') INT(11)"`
	Category   string    `xorm:"comment('办事处名称(CLD字段)') VARCHAR(32)"`
	Email      string    `xorm:"comment('邮箱(CLD字段)') VARCHAR(255)"`
	Qq         string    `xorm:"comment('qq号(CLD字段)') VARCHAR(15)"`
	Fixedphone string    `xorm:"comment('固定电话(CLD字段)') VARCHAR(15)"`
	Position   string    `xorm:"comment('职位(CLD字段)') VARCHAR(15)"`
	Avatar     string    `xorm:"comment('cld头像地址') VARCHAR(255)"`
	CreateTime int       `xorm:"comment('创建时间') INT(11)"`
	UpdateTime time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
